
#ifndef __TUNER_H
#define __TUNER_H

#include "dvb_frontend.h"


#define QT1010_BASE_ADDRESS	0xC4
#define QT1010_OFFSET			0x0F 
#define QT1010_CHECK_VAL		0x2c

#define MT2060_BASE_ADDRESS	0xC0
#define MT2060_OFFSET			0x00
#define MT2060_CHECK_VAL		0x60

#define MXL5005_BASE_ADDRESS	0xC6


#define RTDUSB_NO_TUNER	0
#define RTDUSB_TUNER_MXL5005	1
#define RTDUSB_TUNER_MT2060	2

 int rtdusb_general_tuner_release(
	struct dvb_frontend*	fe);

int rtdusb_general_tuner_set(
	struct dvb_frontend*				fe,
	struct dvb_frontend_parameters*	fep);

 int rtdusb_general_tuner_init(
	struct dvb_frontend*	fe);

#endif


